<div class="container">
    <div class="list list__header" [ngStyle]="{'justify-content': mascotPage ? 'right' : 'space-between' }">
        <input *ngIf="!mascotPage" (keyup)="onFilter($event?.target?.value)" placeholder="Filter by breed" class="filter-input" type="text">
        <div class="filter-buttons">
            <button (click)="changePage(1)" [disabled]="page === 0" class="main-button">
                Previous Page
            </button>
            <button (click)="changePage(2)" [disabled]="breeds?.length < limit " class="main-button">
                Next Page
            </button>
        </div>
    </div>
    <div class="list list__container">
        <form class="form-breeds" *ngIf="namesForm" [formGroup]="namesForm"  action="">
            <div *ngFor="let breed of breedsToShow" class="list list__item">
                <div class="list-item-section list-item-section--photo">
                    <img class="breed-photo" [src]="breed?.photo" alt="">
                </div>
                <div class="list-item-section list-item-section--mascot" *ngIf="mascotPage">
                    <div class="breed-mascot">
                        {{breed?.mascot}}
                    </div>
                </div>
                <div class="list-item-section list-item-section--text">
                    <div class="breed-title">
                        {{breed?.name}}
                    </div>
                    <div class="breed-description">
                        {{breed?.description}}
                    </div>
                </div>
                <div *ngIf="!mascotPage" class="list-item-section list-item-section--name">
                    <input [formControlName]="breed?.id" placeholder="Name your pet" class="filter-input filter-input--name" type="text" name="" id="">
                    <button  [disabled]="!namesForm?.get(breed?.id)?.value" (click)="addMascot(breed)" class="main-button main-button--name">
                        Add as a pet
                    </button>
                </div>
            </div> 
            <div *ngIf="!breedsToShow?.length" class="list list__item list__item--noData">
                No cats found in this page, try with other breed or change the page
            </div> 
        </form>
    </div>
   
</div>